petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatMumpsSolveSchurComplementTranspose

Solve the transpose of the Schur complement system computed by MUMPS during the factorization step

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMumpsSolveSchurComplementTranspose(Mat F, Vec rhs, Vec sol)

Logically Collective on Mat

### Input Parameters

| F | - the factored matrix obtained by calling MatGetFactor() from PETSc-MUMPS interface
| rhs | - location where the right hand side of the Schur complement system is stored
| sol | - location where the solution of the Schur complement system has to be returned

### Notes

MUMPS Schur complement mode is currently implemented for sequential matrices. The sizes of the vectors should match the size of the Schur complement

References: MUMPS Users' Guide

### See Also

MatGetFactor(), MatMumpsSetSchurIndices()

Level:advanced
Location:src/mat/impls/aij/mpi/mumps/mumps.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages